%define	upstream_name	 Crypt-SSLeay
%define upstream_version 0.72

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Support for the https protocol under LWP
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Crypt/Crypt-SSLeay-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder) >= 0.280.205
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(LWP::Protocol::https) >= 6.20.0
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Path::Class) >= 0.260.0
BuildRequires: perl(Test::More) >= 0.190.0
BuildRequires: perl(Try::Tiny) >= 0.190.0
BuildRequires: openssl-devel
BuildRequires: perl-devel
BuildRequires: perl-URI

%global __provides_exclude %{?__provides_exclude:__provides_exclude|}^perl\\(DB\\)
%{?perl_default_filter}

%description 
This perl module provides support for the https protocol under LWP, so
that a LWP::UserAgent can make https GET & HEAD requests.

The Crypt::SSLeay package contains Net::SSL, which is automatically
loaded by LWP::Protocol::https on https requests, and provides the
necessary SSL glue for that module to work via these deprecated modules:

This product includes cryptographic software written by 
Eric Young (eay@cryptsoft.com)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="$RPM_OPT_FLAGS" echo | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml TODO eg
%{perl_vendorarch}/auto/Crypt
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/Net
%{_mandir}/*/*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.720.0-11pclos2017
- rebuild against updates

